package com.tzld.piaoquan.growth.common.model.po;

import java.util.Date;

public class StaffGroupStatisticsTotal {
    private Long id;

    private String date;

    private Long corpId;

    private Long staffId;

    private String userId;

    private Long statTime;

    private Integer newChatCnt;

    private Integer chatTotal;

    private Integer chatHasMsg;

    private Integer newMemberCnt;

    private Integer memberTotal;

    private Integer memberHasMsg;

    private Integer msgTotal;

    private Integer migrateTraineeChatCnt;

    private Date createTime;

    private Date updateTime;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getDate() {
        return date;
    }

    public void setDate(String date) {
        this.date = date;
    }

    public Long getCorpId() {
        return corpId;
    }

    public void setCorpId(Long corpId) {
        this.corpId = corpId;
    }

    public Long getStaffId() {
        return staffId;
    }

    public void setStaffId(Long staffId) {
        this.staffId = staffId;
    }

    public String getUserId() {
        return userId;
    }

    public void setUserId(String userId) {
        this.userId = userId;
    }

    public Long getStatTime() {
        return statTime;
    }

    public void setStatTime(Long statTime) {
        this.statTime = statTime;
    }

    public Integer getNewChatCnt() {
        return newChatCnt;
    }

    public void setNewChatCnt(Integer newChatCnt) {
        this.newChatCnt = newChatCnt;
    }

    public Integer getChatTotal() {
        return chatTotal;
    }

    public void setChatTotal(Integer chatTotal) {
        this.chatTotal = chatTotal;
    }

    public Integer getChatHasMsg() {
        return chatHasMsg;
    }

    public void setChatHasMsg(Integer chatHasMsg) {
        this.chatHasMsg = chatHasMsg;
    }

    public Integer getNewMemberCnt() {
        return newMemberCnt;
    }

    public void setNewMemberCnt(Integer newMemberCnt) {
        this.newMemberCnt = newMemberCnt;
    }

    public Integer getMemberTotal() {
        return memberTotal;
    }

    public void setMemberTotal(Integer memberTotal) {
        this.memberTotal = memberTotal;
    }

    public Integer getMemberHasMsg() {
        return memberHasMsg;
    }

    public void setMemberHasMsg(Integer memberHasMsg) {
        this.memberHasMsg = memberHasMsg;
    }

    public Integer getMsgTotal() {
        return msgTotal;
    }

    public void setMsgTotal(Integer msgTotal) {
        this.msgTotal = msgTotal;
    }

    public Integer getMigrateTraineeChatCnt() {
        return migrateTraineeChatCnt;
    }

    public void setMigrateTraineeChatCnt(Integer migrateTraineeChatCnt) {
        this.migrateTraineeChatCnt = migrateTraineeChatCnt;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", id=").append(id);
        sb.append(", date=").append(date);
        sb.append(", corpId=").append(corpId);
        sb.append(", staffId=").append(staffId);
        sb.append(", userId=").append(userId);
        sb.append(", statTime=").append(statTime);
        sb.append(", newChatCnt=").append(newChatCnt);
        sb.append(", chatTotal=").append(chatTotal);
        sb.append(", chatHasMsg=").append(chatHasMsg);
        sb.append(", newMemberCnt=").append(newMemberCnt);
        sb.append(", memberTotal=").append(memberTotal);
        sb.append(", memberHasMsg=").append(memberHasMsg);
        sb.append(", msgTotal=").append(msgTotal);
        sb.append(", migrateTraineeChatCnt=").append(migrateTraineeChatCnt);
        sb.append(", createTime=").append(createTime);
        sb.append(", updateTime=").append(updateTime);
        sb.append("]");
        return sb.toString();
    }
}